Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591703 (LibvirtAIO) - RFE: libvirt XML should allow to specify AIO mode
Summary: RFE: libvirt XML should allow to specify AIO mode
Keywords:
Status: CLOSED ERRATA
Alias: LibvirtAIO
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.0
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: 6.1
Assignee: Eric Blake
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 592070
Blocks: Rhel6.1LibvirtTier2 644849
TreeView+ depends on / blocked
 
Reported: 2010-05-12 20:52 UTC by Jes Sorensen
Modified: 2013-01-11 02:59 UTC (History)
15 users (show)

Fixed In Version: libvirt-0.8.7-5.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:18:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0596 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2011-05-18 17:56:36 UTC

Description Jes Sorensen 2010-05-12 20:52:41 UTC
Description of problem:
Customers are asking for a feature to allow specifying the AIO mode via libvirt XML, like can be done on the QEMU command line with aio=native etc.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Eric Blake 2010-05-12 20:57:47 UTC
A preliminary patch was proposed upstream:
https://www.redhat.com/archives/libvir-list/2010-April/msg00786.html
https://www.redhat.com/archives/libvir-list/2010-April/msg00888.html

but missed inclusion into libvirt 0.8.1.

Comment 3 RHEL Product and Program Management 2010-05-12 22:05:46 UTC
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.

Comment 6 Eric Blake 2010-05-17 22:13:33 UTC
Upstream discussion[1] on the initial patch pointed out that a better solution than adding a qemu-specific <disk type="..." aio="threads"/> might be to instead support:

<disk type="...">
  <iobackend type="aiothreads"/>
</disk>

to allow further iobackend types among other hypervisors.  Until the XML representation is nailed down, this is not yet ready for inclusion.

[1] https://www.redhat.com/archives/libvir-list/2010-May/msg00538.html

Comment 7 Eric Blake 2011-01-05 20:18:21 UTC
Upstream is still hashing out the best XML representation:
https://www.redhat.com/archives/libvir-list/2011-January/msg00066.html

but it should be easy to modify the existing patch mentioned in comment 6 to match whatever naming conventions is ultimately agreed on, in time for RHEL 6.1.

Comment 8 Eric Blake 2011-01-14 23:01:23 UTC
Upstream patch posted, based on fallout from discussion.
https://www.redhat.com/archives/libvir-list/2011-January/msg00694.html

Comment 13 Eric Blake 2011-01-28 18:39:54 UTC
Posted for inclusion in RHEL 6.1:
http://post-office.corp.redhat.com/archives/rhvirt-patches/2011-January/msg01500.html

Comment 15 Nan Zhang 2011-02-15 03:26:40 UTC
Verified with the following packages, it's already been fixed.
libvirt-0.8.7-6.el6.x86_64
qemu-kvm-0.12.1.2-2.144.el6.x86_64
kernel-2.6.32-115.el6.x86_64

# virsh dumpxml demo
...
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw' cache='none' io='native'/>
      <source file='/var/lib/libvirt/images/demo.img'/>
      <target dev='hda' bus='ide'/>
      <address type='drive' controller='0' bus='0' unit='0'/>
    </disk>
...

# ps -ef | grep qemu-kvm | grep aio
root      6778     1  8 04:57 ?        01:26:27 /usr/libexec/qemu-kvm -S -M rhel6.1.0 -enable-kvm -m 1024 -smp 1,sockets=1,cores=1,threads=1 -name demo -uuid 4e70a311-e9f2-f5e8-e651-37d4a94c5f3e -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/demo.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -no-reboot -boot d -drive file=/var/lib/libvirt/images/demo.img,if=none,id=drive-ide0-0-0,format=raw,cache=none,aio=native
...

Comment 18 errata-xmlrpc 2011-05-19 13:18:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0596.html


Note You need to log in before you can comment on or make changes to this bug.